Package org.kapott.hbci.GV_Result

# Class GVRWPDepotUms.Entry.FinancialInstrument

java.lang.Object
org.kapott.hbci.GV_Result.GVRWPDepotUms.Entry.FinancialInstrument

Enclosing class:
  GVRWPDepotUms.Entry

public static class GVRWPDepotUms.Entry.FinancialInstrument extends Object

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`GVRWPDepotUms.Entry.FinancialInstrument.Transaction`

## Field Summary

Fields
Modifier and Type
Field
Description
`TypedValue`
`endSaldo`
Endsaldo des Finanzinstruments
`String`
`isin`
ISIN des Wertpapiers (optional)
`String`
`name`
Wertpapierbezeichnung
`TypedValue`
`preis`
Endsaldo des Finanzinstruments
`Date`
`preisdatum`
Preisdatum
`TypedValue`
`startSaldo`
Startsaldo des Finanzinstruments
`final List<GVRWPDepotUms.Entry.FinancialInstrument.Transaction>`
`transactions`
Liste der Transaktionen/Umsätze
`String`
`wkn`
WKN des Wertpapiers (optional)

## Constructor Summary

Constructors
Constructor
Description
`FinancialInstrument()`

## Method Summary

Modifier and Type
Method
Description
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### isin

public String isin
ISIN des Wertpapiers (optional)

### wkn

public String wkn
WKN des Wertpapiers (optional)

### name

public String name
Wertpapierbezeichnung

### startSaldo

public TypedValue startSaldo
Startsaldo des Finanzinstruments

### endSaldo

public TypedValue endSaldo
Endsaldo des Finanzinstruments

### preis

public TypedValue preis
Endsaldo des Finanzinstruments

### preisdatum

public Date preisdatum
Preisdatum

### transactions

public final List<GVRWPDepotUms.Entry.FinancialInstrument.Transaction> transactions
Liste der Transaktionen/Umsätze

## Constructor Details

### FinancialInstrument

public FinancialInstrument()

## Method Details

### toString

public String toString()

Overrides:
  `toString` in class `Object`